
From: William Lee Irwin III <wli@holomorphy.com>

The stack is now shared with struct thread_info on most arches, not task_t. 
This mostly affects get_wchan() and stack usage debug.


---

 25-akpm/arch/sparc/kernel/process.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/sparc/kernel/process.c~sparc32-stack-bounds-checking arch/sparc/kernel/process.c
--- 25/arch/sparc/kernel/process.c~sparc32-stack-bounds-checking	2004-04-17 01:11:54.609824960 -0700
+++ 25-akpm/arch/sparc/kernel/process.c	2004-04-17 01:11:54.612824504 -0700
@@ -324,7 +324,7 @@ void show_stack(struct task_struct *tsk,
 	fp = (unsigned long) _ksp;
 	do {
 		/* Bogus frame pointer? */
-		if (fp < (task_base + sizeof(struct task_struct)) ||
+		if (fp < (task_base + sizeof(struct thread_info)) ||
 		    fp >= (task_base + (PAGE_SIZE << 1)))
 			break;
 		rw = (struct reg_window *) fp;
@@ -716,7 +716,7 @@ unsigned long get_wchan(struct task_stru
 	fp = task->thread_info->ksp + bias;
 	do {
 		/* Bogus frame pointer? */
-		if (fp < (task_base + sizeof(struct task_struct)) ||
+		if (fp < (task_base + sizeof(struct thread_info)) ||
 		    fp >= (task_base + (2 * PAGE_SIZE)))
 			break;
 		rw = (struct reg_window *) fp;

_
